package shadersmod.transform;

import static shadersmod.transform.Names.*;
import shadersmod.transform.Namer;
import shadersmod.transform.Names.Clas;
import shadersmod.transform.Names.Fiel;
import shadersmod.transform.Names.Meth;

public class Namer1_8_0 extends Namer {

	public void setNames1() {
		setNamesObf();
	}
	public void setNamesObf() {
		// classes
		block_            = c("atr");
		blockFlowerPot_   = c("awd");
		minecraft_        = c("bsu");
		guiButton_        = c("bug");
		guiOptions_       = c("bwv");
		guiScreen_        = c("bxf");
		modelRenderer_    = c("cdy");
		texturedQuad_     = c("ccu");
		worldClient_      = c("cen");
		effectRenderer_   = c("cgx");
		entityRenderer_   = c("cji");
		glAllocation_     = c("bst");
		glStateManager_   = c("cjm");
		itemRenderer_     = c("cki");
		openGlHelper_     = c("dax");
		renderBlocks_     = c("null");
		renderGlobal_     = c("ckn");
		tessellator_      = c("ckk");
		worldRenderer_    = c("civ");
		vertexUploader_   = c("ciy");
		frustum_         = c("coz");
		iCamera_          = c("cox");
		render_           = c("cpu");
		layerDragonEyes_  = c("csk");
		layerEndermanEyes_= c("csl");
		layerSpiderEyes_  = c("csu");
		renderManager_    = c("cpt");
		rendererLivingE_  = c("cqv");
		renderItemFrame_  = c("cqg");
		animationMetadataSection_ = c("cwo");
		abstractTexture_  = c("cto");
		dynamicTexture_   = c("ctp");
		iTextureObject_   = c("cui");
		layeredTexture_   = c("ctu");
		simpleTexture_    = c("ctv");
		stitcher_         = c("ctw");
		textureAtlasSpri_ = c("cue");
		textureClock_     = c("cum");
		textureCompass_   = c("cun");
		textureManager_   = c("cug");
		textureMap_       = c("cua");
		textureUtil_      = c("cuj");
		textureDownload_  = c("ctq");
		iResource_        = c("cvj");
		iResourceManager_ = c("cvk");
		gameSettings_     = c("bto");
		tessVertexState_  = c("null");
		entity_           = c("wv");
		entityItemFrame_  = c("adk");
		entityLivingBase_ = c("xm");
		entityDragon_     = c("adb");
		entityEnderman_   = c("aer");
		entitySpider_     = c("age");
		entityPlayer_     = c("ahd");
		item_             = c("alq");
		itemBlock_        = c("aju");
		itemStack_        = c("amj");
		movingObjectPos_  = c("bru");
		resourceLocation_ = c("oa");
		vec3_             = c("brw");
		iBlockAccess_     = c("ard");
		world_            = c("aqu");
		enumWorldBlockLayer_ = c("aql");
		blockModelRenderer_ = c("cln");
		blockFluidRenderer_ = c("clm");
		blockRendererDispatcher_ = c("cll");
		breakingFour_ = c("cmn");
		faceBakery_ = c("cmp");
		defVertexFormat_ = c("cuq");
		iBlockState_ = c("bec");
		blockPos_ = c("dt");
		vertexFormat_ = c("cus");
		renderChunk_ = c("cop");
		regionRenderCacheBuilder_ = c("cjb");
		chunkRenderContainer_ = c("cjc");
		vboRenderList_ = c("cky");
		iBakedModel_ = c("cxe");
		blockPartFace_ = c("clx");
		blockPartRotation_ = c("clz");
		modelRotation_ = c("cxf");
		enumFacing_ = c("ej");
		blockFaceUV_ = c("cma");
		chunkCompileTaskGenerator_ = c("coa");
		chunkRenderDispatcher_ = c("cod");
		compiledChunk_ = c("cok");
		tileEntityBeacon_ = c("bck");
		tileEntityBeaconRenderer_ = c("cnn");
		clippingHelper_   = c("cpa");
		layerArmorBase_ = c("csb");
		modelBase_ = c("ccq");
		ofConnectedTextures_ = c("ConnectedTextures"); // OptiFine
		ofReflector_ = c("Reflector"); // OptiFine
		forgeHooksClient_ = c("net/minecraftforge/client/ForgeHooksClient"); // Forge

		// fields
		abstractTexture_glTextureId = f(abstractTexture_ ,"a","I");
		entityLivingBase_deathTime  = f(entityLivingBase_,"av","I");
		entityLivingBase_hurtTime   = f(entityLivingBase_,"as","I");
		entityRenderer_cameraZoom   = f(entityRenderer_  ,"X" ,"D");
		entityRenderer_mc           = f(entityRenderer_  ,"h" ,minecraft_.desc);
		entityRenderer_shouldRenderHand = f(entityRenderer_,"C","Z");
		entityRenderer_frameCount   = f(entityRenderer_  ,"ae","I");
		gameSettings_renderDistance = f(gameSettings_    ,"c","I");
		guiButton_id                = f(guiButton_       ,"k","I");
		guiScreen_buttonList        = f(guiScreen_       ,"n","Ljava/util/List;");
		guiScreen_width             = f(guiScreen_       ,"l","I");
		guiScreen_height            = f(guiScreen_       ,"m","I");
		guiScreen_mc                = f(guiScreen_       ,"j",minecraft_.desc);
		guiOptions_options          = f(guiOptions_      ,"h",gameSettings_.desc);
		itemBlock_block             = f(itemBlock_       ,"a",block_.desc);
		itemRenderer_itemToRender   = f(itemRenderer_    ,"d",itemStack_.desc);
		layeredTexture_layeredTextureNames = f(layeredTexture_,"f","Ljava/util/List;");
		minecraft_renderGlobal      = f(minecraft_       ,"g" ,renderGlobal_.desc);
		minecraft_gameSettings      = f(minecraft_       ,"t" ,gameSettings_.desc);
		modelRenderer_displayList   = f(modelRenderer_   ,"u" ,"I");
		modelRenderer_compiled      = f(modelRenderer_   ,"t" ,"Z");
		renderGlobal_glSkyList      = f(renderGlobal_    ,"p" ,"I");
		renderGlobal_worldRenderers = f(renderGlobal_    ,"null" ,"["+worldRenderer_.desc);
		rendererLivingE_mainModel   = f(rendererLivingE_ ,"f" ,null);
		rendererLivingE_renderPassModel = f(rendererLivingE_,"null",null);
		renderManager_entityRenderMap = f(renderManager_ ,"k" ,"Ljava/util/Map;");
		renderManager_instance      = f(renderManager_   ,"null" ,renderManager_.desc);
		simpleTexture_textureLocation = f(simpleTexture_ ,"f",resourceLocation_.desc);
		tessellator_floatBuffer     = f(tessellator_     ,"null","Ljava/nio/FloatBuffer;");
		tessellator_shortBuffer     = f(tessellator_     ,"null","Ljava/nio/ShortBuffer;");
		tessellator_intBuffer       = f(tessellator_     ,"null","Ljava/nio/IntBuffer;");
		tessellator_byteBuffer      = f(tessellator_     ,"null" ,"Ljava/nio/ByteBuffer;");
		tessellator_rawBuffer       = f(tessellator_     ,"null" ,"[I");
		tessellator_vertexCount     = f(tessellator_     ,"null" ,"I");
		tessellator_hasNormals      = f(tessellator_     ,"null" ,"Z");
		textureAtlasSpri_width      = f(textureAtlasSpri_,"f",null);
		textureAtlasSpri_height     = f(textureAtlasSpri_,"g",null);
		textureAtlasSpri_border     = f(textureAtlasSpri_,"null",null);
		textureMap_anisotropic      = f(textureMap_      ,"null",null);
		textureDownload_textureUploaded = f(textureDownload_,"n","Z");
		vec3_xCoord                 = f(vec3_            ,"a" ,"D");
		defVertexFormat_block = f(defVertexFormat_,"a",vertexFormat_.desc);
		defVertexFormat_item = f(defVertexFormat_,"b",vertexFormat_.desc);

		worldRenderer_rawIntBuffer   = f(worldRenderer_,"b","Ljava/nio/IntBuffer;");
		worldRenderer_rawFloatBuffer = f(worldRenderer_,"c","Ljava/nio/FloatBuffer;");
		worldRenderer_vertexCount    = f(worldRenderer_,"d","I");
		worldRenderer_rawBufferIndex = f(worldRenderer_,"i","I");
		worldRenderer_drawMode       = f(worldRenderer_,"k","I");
		renderGlobal_renderDispatcher = f(renderGlobal_,"M",chunkRenderDispatcher_.desc);

		// methods
		abstractTexture_deleteGlTexture    = m(abstractTexture_,"c","()V");
		block_getAoLight                   = m(block_          ,"f","()F");
		block_getBlockFromItem             = m(block_          ,"a","("+item_.desc+")"+block_.desc);
		dynamicTexture_updateDynamicTexture= m(dynamicTexture_ ,"d","()V");
		effectRenderer_renderLitParticles  = m(effectRenderer_ ,"b" ,"("+entity_.desc+"F)V");
		effectRenderer_renderParticles     = m(effectRenderer_ ,"a" ,"("+entity_.desc+"F)V");
		entity_getBrightness               = m(entity_         ,"c" ,"(F)F");
		entityRenderer_enableLightmap      = m(entityRenderer_ ,"i" ,"()V");
		entityRenderer_getMouseOver        = m(entityRenderer_ ,"a" ,"(F)V");
		entityRenderer_updateFogColor      = m(entityRenderer_ ,"j" ,"(F)V");
		entityRenderer_setupFog            = m(entityRenderer_ ,"a" ,"(IF)V");
		entityRenderer_setFogColorBuffer   = m(entityRenderer_ ,"a" ,"(FFFF)Ljava/nio/FloatBuffer;");
		entityRenderer_renderWorld         = m(entityRenderer_ ,"a" ,"(FJ)V");
		entityRenderer_renderWorldPass     = m(entityRenderer_ ,"a","(IFJ)V");
		entityRenderer_renderRainSnow      = m(entityRenderer_ ,"d" ,"(F)V");
		entityRenderer_renderHand          = m(entityRenderer_ ,"b" ,"(FI)V");
		entityRenderer_setupCameraTransform= m(entityRenderer_ ,"a" ,"(FI)V");
		entityRenderer_disableLightmap     = m(entityRenderer_ ,"h" ,"()V");
		entityRenderer_renderCloudsCheck   = m(entityRenderer_ ,"a" ,"("+renderGlobal_.desc+"FI)V");
		gameSettings_saveOptions           = m(gameSettings_   ,"b" ,"()V");
		gameSettings_shouldRenderClouds    = m(gameSettings_   ,"e" ,"()Z");
		glAllocation_createDirectByteBuffer= m(glAllocation_   ,"c" ,"(I)Ljava/nio/ByteBuffer;");
		glAllocation_createDirectIntBuffer = m(glAllocation_   ,"f" ,"(I)Ljava/nio/IntBuffer;");
		glAllocation_deleteDisplayLists    = m(glAllocation_   ,"b" ,"(I)V");
		glAllocation_generateDisplayLists  = m(glAllocation_   ,"a" ,"(I)I");
		glStateManager_clear               = m(glStateManager_ ,"m" ,"(I)V");
		glStateManager_clearColor          = m(glStateManager_ ,"a" ,"(FFFF)V");
		glStateManager_viewport            = m(glStateManager_ ,"b" ,"(IIII)V");
		glStateManager_setFog              = m(glStateManager_ ,"d" ,"(I)V");
		glStateManager_depthMask           = m(glStateManager_ ,"a" ,"(Z)V");
		glStateManager_pushMatrix          = m(glStateManager_ ,"E" ,"()V");
		glStateManager_popMatrix           = m(glStateManager_ ,"F" ,"()V");
		glStateManager_enableFog           = m(glStateManager_ ,"m" ,"()V");
		glStateManager_disableFog          = m(glStateManager_ ,"n" ,"()V");
		glStateManager_enableTexture2D     = m(glStateManager_ ,"w" ,"()V");
		glStateManager_disableTexture2D    = m(glStateManager_ ,"x" ,"()V");
		glStateManager_color3              = m(glStateManager_ ,"c" ,"(FFF)V");
		glStateManager_color4              = m(glStateManager_ ,"c" ,"(FFFF)V");
		glStateManager_rotate              = m(glStateManager_ ,"b" ,"(FFFF)V");
		guiOptions_actionPerformed         = m(guiOptions_     ,"a","("+guiButton_.desc+")V");
		guiOptions_initGui                 = m(guiOptions_     ,"b","()V");
		iCamera_setPosition                = m(iCamera_        ,"a" ,"(DDD)V");
		iResourceManager_getResource       = m(iResourceManager_,"a","("+resourceLocation_.desc+")"+iResource_.desc);
		itemRenderer_renderItem            = m(itemRenderer_   ,"null" ,"("+entityLivingBase_.desc+itemStack_.desc+"I)V");
		itemRenderer_renderItemInFirstPerson = m(itemRenderer_ ,"a" ,"(F)V");
		itemRenderer_renderOverlays        = m(itemRenderer_   ,"b" ,"(F)V");
		itemRenderer_updateEquipped        = m(itemRenderer_   ,"a" ,"()V");
		iTextureObject_loadTexture         = m(iTextureObject_ ,"a","("+iResourceManager_.desc+")V");
		iTextureObject_getGlTextureId      = m(iTextureObject_ ,"b","()I");
		minecraft_displayGuiScreen         = m(minecraft_      ,"a","("+guiScreen_.desc+")V");
		minecraft_startGame                = m(minecraft_      ,"aj" ,"()V");
		openGlHelper_setActiveTexture      = m(openGlHelper_   ,"k" ,"(I)V");
		render_renderShadow                = m(render_         ,"c" ,"("+entity_.desc+"DDDFF)V");
		renderBlocks_renderBlockFluids     = m(renderBlocks_   ,"null","("+block_.desc+"III)Z");
		renderBlocks_renderStdBlockWithCM  = m(renderBlocks_   ,"null","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockSandFalling= m(renderBlocks_   ,"null","("+block_.desc+world_.desc+"IIII)V");
		renderBlocks_renderStdBlockWithAO  = m(renderBlocks_   ,"null","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockCactusImpl = m(renderBlocks_   ,"null","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockDoor       = m(renderBlocks_   ,"null","("+block_.desc+"III)Z");
		renderBlocks_renderBlockBed        = m(renderBlocks_   ,"null","("+block_.desc+"III)Z");
		renderBlocks_renderBlockByRenderType = m(renderBlocks_ ,"null","("+block_.desc+"III)Z");
		renderBlocks_renderBlockFlowerPot  = m(renderBlocks_   ,"null","("+blockFlowerPot_.desc+"III)Z");
		renderBlocks_renderStdBlockWithAOP = m(renderBlocks_   ,"null","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderPistonExtension = m(renderBlocks_   ,"null","("+block_.desc+"IIIZ)Z");
		renderItemFrame_renderItemInFrame  = m(renderItemFrame_,"b" ,"("+entityItemFrame_.desc+")V");
		layerDragonEyes_render      = m(layerDragonEyes_   ,"a" , "("+entityDragon_.desc+"FFFFFFF)V");
		layerEndermanEyes_render    = m(layerEndermanEyes_ ,"a" , "("+entityEnderman_.desc+"FFFFFFF)V");
		layerSpiderEyes_render      = m(layerSpiderEyes_   ,"a" , "("+entitySpider_.desc+"FFFFFFF)V");
		rendererLivingE_doRender           = m(rendererLivingE_,"a" ,"("+entityLivingBase_.desc+"DDDFF)V");
		rendererLivingE_renderEquippedItems= m(rendererLivingE_,"null" ,"("+entityLivingBase_.desc+"F)V");
		rendererLivingE_getColorMultiplier = m(rendererLivingE_,"a" ,"("+entityLivingBase_.desc+"FF)I");
		rendererLivingE_renderLabel        = m(rendererLivingE_,"null" ,"("+entityLivingBase_.desc+"DDDLjava/lang/String;FD)V");
		renderManager_renderEntitySimple   = m(renderManager_  ,"a" ,"("+entity_.desc+"F)Z");
		renderManager_renderWitherSkull    = m(renderManager_  ,"b" ,"("+entity_.desc+"F)V");
		renderGlobal_renderEntities        = m(renderGlobal_   ,"a","("+entity_.desc+iCamera_.desc+"F)V");
		renderGlobal_renderSky             = m(renderGlobal_   ,"a" ,"(FI)V");
		renderGlobal_preRenderBlockDamage  = m(renderGlobal_   ,"s" ,"()V");
		renderGlobal_postRenderBlockDamage = m(renderGlobal_   ,"t" ,"()V");
		renderGlobal_renderClouds          = m(renderGlobal_   ,"null" ,"(F)V");
		renderGlobal_sortAndRender         = m(renderGlobal_   ,"null" ,"("+entityLivingBase_.desc+"ID)I");
		renderGlobal_setupTerrain          = m(renderGlobal_   ,"a" ,"("+entity_.desc+"D"+iCamera_.desc+"IZ)V");
		renderGlobal_updateChunks          = m(renderGlobal_   ,"a" ,"(J)V");
		renderGlobal_renderBlockLayer1     = m(renderGlobal_   ,"a" ,"("+enumWorldBlockLayer_.desc+")V");
		renderGlobal_renderBlockLayer4     = m(renderGlobal_   ,"a" ,"("+enumWorldBlockLayer_.desc+"DI"+entity_.desc+")I");
		renderGlobal_drawSelectionBox      = m(renderGlobal_   ,"a" ,"("+entityPlayer_.desc+movingObjectPos_.desc+"IF)V");
		renderGlobal_renderAllRenderLists  = m(renderGlobal_   ,"null" ,"(ID)V");
		stitcher_getCurrentWidth           = m(stitcher_       ,"a","()I");
		tessellator_sortQuad               = m(tessellator_    ,"null","(FFF)"+tessVertexState_.desc);
		tessellator_addTranslation         = m(tessellator_    ,"null" ,"(FFF)V");
		tessellator_setNormal              = m(tessellator_    ,"null" ,"(FFF)V");
		tessellator_addVertex              = m(tessellator_    ,"null" ,"(DDD)V");
		tessellator_reset                  = m(tessellator_    ,"null" ,"()V");
		tessellator_draw                   = m(tessellator_    ,"b" ,"()I");
		texturedQuad_draw                  = m(texturedQuad_   ,"a" ,"("+worldRenderer_.desc+"F)V");		
		worldRenderer_startQuads           = m(worldRenderer_  ,"b" ,"()V");
		vertexUploader_draw                = m(vertexUploader_ ,"a","("+worldRenderer_.desc+"I)I");
		textureAtlasSpri_loadSprite        = m(textureAtlasSpri_,"null","([Ljava/awt/image/BufferedImage;"+animationMetadataSection_.desc+"Z)V");
		textureAtlasSpri_getFrameTextureData = m(textureAtlasSpri_,"a","([[IIII)[[I");
		textureAtlasSpri_prepareAF         = m(textureAtlasSpri_,"null","([[III)[[I");
		textureAtlasSpri_getIconName       = m(textureAtlasSpri_,"i","()Ljava/lang/String;");
		textureAtlasSpri_updateAnimation   = m(textureAtlasSpri_,"j","()V");
		textureCompass_updateCompass       = m(textureCompass_ ,"a" ,"("+world_.desc+"DDDZZ)V");
		textureManager_onResourceManagerReload = m(textureManager_,"a","("+iResourceManager_.desc+")V");
		textureManager_bindTexture         = m(textureManager_ ,"a","("+resourceLocation_.desc+")V");
		textureMap_loadTextureAtlas        = m(textureMap_     ,"b","("+iResourceManager_.desc+")V");
		textureMap_getIconResLoc           = m(textureMap_     ,"a","("+resourceLocation_.desc+"I)"+resourceLocation_.desc);
		textureMap_updateAnimations        = m(textureMap_     ,"d" ,"()V");
		textureUtil_uploadTexture          = m(textureUtil_    ,"a","(I[III)V");
		textureUtil_uploadTextureImageAllocate = m(textureUtil_,"a","(ILjava/awt/image/BufferedImage;ZZ)I");
		textureUtil_allocateTexture        = m(textureUtil_    ,"a","(III)V");
		textureUtil_allocateTextureMipmap  = m(textureUtil_    ,"a","(IIII)V");
		textureUtil_uploadTexSub           = m(textureUtil_    ,"a","([[IIIIIZZ)V");
		textureUtil_bindTexture            = m(textureUtil_    ,"b" ,"(I)V");
		world_getCelestialAngle            = m(world_          ,"c" ,"(F)F");
		world_getRainStrength              = m(world_          ,"j" ,"(F)F");
		modelRenderer_render               = m(modelRenderer_  ,"a" ,"(F)V");
		modelRenderer_renderWithRotation   = m(modelRenderer_  ,"b" ,"(F)V");
		modelRenderer_compileDisplayList   = m(modelRenderer_  ,"d" ,"(F)V");

		blockModelRenderer_fillQuadBounds   = m(blockModelRenderer_,"a","("+block_.desc+"[I"+enumFacing_.desc+"[FLjava/util/BitSet;)V");
		blockRendererDispatcher_renderBlock = m(blockRendererDispatcher_,"a","("+iBlockState_.desc+""+blockPos_.desc+""+iBlockAccess_.desc+""+worldRenderer_.desc+")Z");
		blockFluidRenderer_renderFluid      = m(blockFluidRenderer_,"a","("+iBlockAccess_.desc+""+iBlockState_.desc+""+blockPos_.desc+""+worldRenderer_.desc+")Z");
		blockModelRenderer_renderModel      = m(blockModelRenderer_,"a","("+iBlockAccess_.desc+""+iBakedModel_.desc+""+iBlockState_.desc+""+blockPos_.desc+""+worldRenderer_.desc+")Z");
		breakingFour_fillVertexUV           = m(breakingFour_,"a","(I)V");
		faceBakery_makeQuadVertexData       = m(faceBakery_,"a","("+blockPartFace_.desc+""+textureAtlasSpri_.desc+""+enumFacing_.desc+"[F"+modelRotation_.desc+""+blockPartRotation_.desc+"ZZ)[I");
		faceBakery_makeQuadVertexDataForge  = m(faceBakery_,"makeQuadVertexData","("+blockPartFace_.desc+""+textureAtlasSpri_.desc+""+enumFacing_.desc+"[F"+"Lnet/minecraftforge/client/model/ITransformation;"+blockPartRotation_.desc+"ZZ)[I");
		faceBakery_storeVertexData          = m(faceBakery_,"a","([IIILjavax/vecmath/Vector3d;I"+textureAtlasSpri_.desc+""+blockFaceUV_.desc+")V");
		faceBakery_getFacingFromVertexData  = m(faceBakery_,"a","([I)"+enumFacing_.desc+"");
		faceBakery_func_178408              = m(faceBakery_,"a","([I"+enumFacing_.desc+")V");
		faceBakery_func_178401              = m(faceBakery_,"a","(I[I"+enumFacing_.desc+""+blockFaceUV_.desc+""+textureAtlasSpri_.desc+")V");
		renderChunk_rebuildChunk            = m(renderChunk_,"b","(FFF"+chunkCompileTaskGenerator_.desc+")V");
		renderChunk_postRenderBlocks        = m(renderChunk_,"a","("+enumWorldBlockLayer_.desc+"FFF"+worldRenderer_.desc+""+compiledChunk_.desc+")V");
		regionRenderCacheBuilder_getWorldRendererByLayer = m(regionRenderCacheBuilder_,"a","("+enumWorldBlockLayer_.desc+")"+worldRenderer_.desc+"");
		chunkRenderContainer_renderChunkLayer = m(chunkRenderContainer_,"a","("+enumWorldBlockLayer_.desc+")V");
		vboRenderList_setupArrayPointers    = m(vboRenderList_,"a","()V");		
		worldRenderer_growBuffer      = m(worldRenderer_,"e","(I)V");
		worldRenderer_setVertexFormat = m(worldRenderer_,"a","("+vertexFormat_.desc+")V");
		worldRenderer_addVertexData   = m(worldRenderer_,"a","([I)V");
		worldRenderer_addVertex       = m(worldRenderer_,"b","(DDD)V");
		tileEntityBeaconRenderer_renderBeacon = m(tileEntityBeaconRenderer_,"a","("+tileEntityBeacon_.desc+"DDDFI)V");
		layerArmorBase_renderEnchantedItemGlint = m(layerArmorBase_,"a","("+entityLivingBase_.desc+modelBase_.desc+"FFFFFFF)V");
		
		ofConnectedTextures_fixVertex = m(ofConnectedTextures_,"fixVertex","([II"+textureAtlasSpri_.desc+textureAtlasSpri_.desc+")V");
		forgeHooksClient_setRenderPass = m(forgeHooksClient_,"setRenderPass","(I)V");
	}
}
